Create Lead Note: Rent Manager
https://api.propexo.com/v1/leads/rentmanager/:lead_id/notesNote: In the case of a failed file upload, we will attempt to upload the file again if we receive a 500 runtime error from Rent Manager. If the file is still not uploaded, we will return an error.
| Method |
|---|
| POST /Prospects/HistoryNotes |
| POST /HistoryNotes/{noteId}/UploadAttachments |
Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The ID of the resource.
Request
This endpoint expects an object.
The Propexo unique identifier for the integration
Notes associated with the lead
attachment object
Attachment file for the note on the lead
The contents of the file, as a base64 encoded string. The PMS has a max file size of 29 MB.
Possible values: <= 40443576 characters
The name of the file including the extension. Ex: "resume.pdf"
The mime type of the file. Ex: "application/pdf"
Response
Successful response
meta objectrequired
result objectrequired
The Propexo unique identifier for the integration
The Propexo unique identifier for the lead
Notes associated with the lead
attachment object | nullrequired
The contents of the file, as a base64 encoded string. The PMS has a max file size of 29 MB.
Possible values: <= 40443576 characters
The name of the file including the extension. Ex: "resume.pdf"
The mime type of the file. Ex: "application/pdf"
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/v1/leads/rentmanager/:lead_id/notes \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"notes": "string"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"lead_id": "string",
"notes": "string",
"attachment": "Unknown Type: object,null"
}
}